%define snapdate 080608
%define rel 10

Summary:	Un Fonts in Koream
Name:		fonts-ttf-korean
Version:	1.0.2
Release:	%mkrel -c %snapdate %rel.2
URL:		http://kldp.net/projects/unfonts/
Source0:	http://kldp.net/frs/download.php/4695/un-fonts-core-%version-%snapdate.tar.gz
License:	GPLv2
Group:		System/Fonts/True type
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%name-%version-%release-root
BuildRequires:	freetype-tools
Obsoletes: 	baekmuk hwan-fonts
Provides:	baekmuk hwan-fonts
Requires(post): fontconfig
Requires(postun): fontconfig

%description
Un-fonts is comes from the HLaTeX as type1 fonts in 1998 by Koaunghi Un,
he made type1 fonts to use with Korean TeX(HLaTeX [1]) in the late 1990's and
release it under the GNU GPL license.

%prep
%setup -q -n un-fonts
 
%build

%install
rm -fr %buildroot

install -d %buildroot/%{_datadir}/fonts/TTF/korean/
install -m 0644 *.ttf %buildroot/%{_datadir}/fonts/TTF/korean


(
cd %buildroot/%{_datadir}/fonts/TTF/korean
ttmkfdir -u > fonts.dir
ln -s fonts.dir fonts.scale
) 

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/korean \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-korean:pri=50


%post
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 


%postun
if [ "$1" = "0" ]; then
  [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,0755)
%doc README COPYING
%dir %{_datadir}/fonts/TTF/korean/
%{_datadir}/fonts/TTF/korean/*.ttf
%config(noreplace) %{_datadir}/fonts/TTF/korean/fonts.dir
%{_datadir}/fonts/TTF/korean/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-korean:pri=50


%changelog
* Tue Apr 09 2019 tex - 1.0.2-0.080608.10.2pclos2019
- rebuild against updates

* Fri Feb 24 2017 bb2 <bb2> - 1.0.2-0.080608.10.1pclos2017
- rebuild for 2017

* Wed Sep 23 2009 pcserver <pcserver at hushmail.com>
- update & rebuild
